#!/usr/bin/env python

import sys, errno
import time
import os
from python_sdk_api.sxd_api import *

MIN_PORT = 1
MAX_PORT = 64

print "[+] initializing register access"
rc = sxd_access_reg_init(0, None, 4)
if (rc != 0):
    print "Failed to initializing register access.\nPlease check that SDK is running."
    sys.exit(errno.EACCES)
    
print "[+] reading SBIB register"
sbib = ku_sbib_reg()
sbib.type = 0
sbib.int_buff_index = 0

meta = sxd_reg_meta_t()
meta.dev_id = 1
meta.swid = 0

""" Set port buff size """
print "[+] SET SBIB PORT #3 "
meta.access_cmd = SXD_ACCESS_CMD_SET
sbib.local_port = 0x21
sbib.buff_size = 240
"""sbib.buff_size = 0"""
"""sxd_access_reg_sbib(sbib, meta, 1, None, None)"""

""" Get all port buff size """
meta.access_cmd = SXD_ACCESS_CMD_GET

for x in range(MAX_PORT):
	sbib.local_port = x + 1
	sxd_access_reg_sbib(sbib, meta, 1, None, None)
	print "P# ", sbib.local_port, ": Buff_size = ", sbib.buff_size


