#!/usr/bin/env python

import sys
from python_sdk_api.sx_api import *

rc, handle = sx_api_open(None)
print("handle: 0x%x , rc: %d " %(handle, rc))

port_p = new_uint32_t_p()
uint32_t_p_assign(port_p, 0x11100)

mac_list_p = new_sx_fdb_uc_mac_addr_params_t_arr(1)
mac_entry1 = sx_fdb_uc_mac_addr_params_t()
sx_fdb_uc_mac_addr_params_t_arr_setitem(mac_list_p, 0, mac_entry1)

for i in range(0,7010):
    mac_addr = ether_addr(1,0,0x5e,1,i/256,i%256)
    mac_entry1.mac_addr = mac_addr;  
    rc = sx_api_fdb_mc_mac_addr_set(handle, SX_ACCESS_CMD_ADD, 0, 1, mac_entry1.mac_addr, port_p, 1)
    port = uint32_t_p_value(port_p)
    if rc != 0:
        print("sx_api_fdb_mc_mac_addr_set added MAC 0x%x, MAC=01:00:5E:01:%x:%x , rc: %d " %(port, i/256,i%256, rc))
    rc = sx_api_fdb_mc_mac_addr_set(handle, SX_ACCESS_CMD_ADD_PORTS, 0, 1, mac_entry1.mac_addr, port_p, 1)
    if rc != 0:
        print("sx_api_fdb_mc_mac_addr_set added PORT 0x%x, MAC=01:00:5E:01:%x:%x , rc: %d " %(port, i/256,i%256, rc))

sx_api_close(handle)

