#!/usr/bin/env python

"""!!!!!!!!! This test only work when the local port is in oper state down!!!!!!!!!!!!!!!"""

import sys

import time
import os
import pdb
from python_sdk_api.sxd_api import *

print "[+] PPAOS register access test start"
print "[+] initializing register access"
sxd_access_reg_init(0, None, 4)
paos = ku_paos_reg()
ppaos = ku_ppaos_reg()
pptt = ku_pptt_reg()
pprt = ku_pprt_reg()

meta = sxd_reg_meta_t()
meta.dev_id = 1
meta.swid = 0


paos.swid = 0 
paos.local_port = 33 
paos.admin_status = 2
paos.oper_status = 2
paos.ase = 1
paos.ee = 1
paos.e = 2


meta.access_cmd = SXD_ACCESS_CMD_SET

ppaos.swid = 0
ppaos.local_port = 33
ppaos.phy_test_mode_admin = 1

sxd_access_reg_paos(paos, meta, 1, None, None)
time.sleep(4)
print "[+] swid:", paos.swid 
print "[+] local_port:", paos.local_port  
print "[+] admin_status:",paos.admin_status
print "[+] oper_status:",paos.oper_status
print "[+] ase:",paos.ase 
print "[+] ee:",paos.ee 
print "[+] e:",paos.e

print "[+] Set PPAOS content"
print "===================="
print "[+] swid:", ppaos.swid
print "[+] local_port:", ppaos.local_port
print "[+] phy_test_mode_admin:", ppaos.phy_test_mode_admin


print "[+] Set PPAOS "

sxd_access_reg_ppaos(ppaos, meta, 1, None, None)

meta.access_cmd = SXD_ACCESS_CMD_GET
time.sleep(4)
print "[+] Get PPAOS"
sxd_access_reg_ppaos(ppaos, meta, 1, None, None)

print "[+] Get after Set PPAOS content"
print "===================="
print "[+] phy_test_mode_admin:", ppaos.phy_test_mode_admin
print "[+] phy_test_mode_status:", ppaos.phy_test_mode_status

time.sleep(10)
meta.access_cmd = SXD_ACCESS_CMD_SET

ppaos.swid = 0
ppaos.local_port = 33
ppaos.phy_test_mode_admin = 0



print "[+] Set PPAOS content"
print "===================="
print "[+] swid:", ppaos.swid
print "[+] local_port:", ppaos.local_port
print "[+] phy_test_mode_admin:", ppaos.phy_test_mode_admin


print "[+] Set PPAOS "

sxd_access_reg_ppaos(ppaos, meta, 1, None, None)

meta.access_cmd = SXD_ACCESS_CMD_GET
time.sleep(4)
print "[+] Get PPAOS"
sxd_access_reg_ppaos(ppaos, meta, 1, None, None)


print "[+] Get after Set PPAOS content"
print "===================="
print "[+] phy_test_mode_admin:", ppaos.phy_test_mode_admin
print "[+] phy_test_mode_status:", ppaos.phy_test_mode_status

print "[+] PPAOS register access test end"

#======================================================================================

print "[+] PPTT register access test start"
# init params
pptt.prbs_modes_cap = 0
pptt.lane_rate_cap = 0

meta.access_cmd = SXD_ACCESS_CMD_SET

pptt.e = 1
pptt.pnat = 0
pptt.local_port = 33
pptt.prbs_mode_admin = 8
pptt.lane_rate_admin = 5

print "[+] Set PPTT content"
print "===================="
print "[+] e:",pptt.e
print "[+] pnat:", pptt.pnat
print "[+] local_port:", pptt.local_port
print "[+] prbs_mode_admin:", pptt.prbs_mode_admin
print "[+] lane_rate_admin:", pptt.lane_rate_admin

print "[+] Set PPTT "

sxd_access_reg_pptt(pptt, meta, 1, None, None)

meta.access_cmd = SXD_ACCESS_CMD_GET
pptt.prbs_mode_admin = 0
pptt.lane_rate_admin = 0
time.sleep(4)
print "[+] Get PPTT"
sxd_access_reg_pptt(pptt, meta, 1, None, None)

print "[+] Get after Set PPTT content"
print "===================="
print "[+] e:",pptt.e
print "[+] prbs_modes_cap:", pptt.prbs_modes_cap
print "[+] prbs_mode_admin:", pptt.prbs_mode_admin
print "[+] lane_rate_admin:", pptt.lane_rate_admin
print "[+] lane_rate_cap:", pptt.lane_rate_cap

#======================================================================================


# init params
pprt.e = 0
pprt.s = 0
pprt.local_port = 0
pprt.pnat = 0
pprt.prbs_modes_cap = 0
pprt.prbs_mode_admin = 0
pprt.lane_rate_cap = 0
pprt.lane_rate_oper = 0
pprt.rx_tuning_status = 0
pprt.lock_status = 0

meta.access_cmd = SXD_ACCESS_CMD_SET

pprt.e = 1
pprt.s = 0
pprt.pnat = 0
pprt.local_port = 33
pprt.prbs_mode_admin = 4
pprt.lane_rate_oper = 4

print "[+] Set PPRT content"
print "===================="
print "[+] e:",pprt.e
print "[+] s:",pprt.s
print "[+] pnat:", pprt.pnat
print "[+] local_port:", pprt.local_port
print "[+] prbs_mode_admin:", pprt.prbs_mode_admin
print "[+] lane_rate_oper:", pprt.lane_rate_oper

print "[+] Set PPRT "

sxd_access_reg_pprt(pprt, meta, 1, None, None)

meta.access_cmd = SXD_ACCESS_CMD_GET
time.sleep(4)
pprt.prbs_mode_admin = 0
pprt.lane_rate_oper = 0
print "[+] Get PPRT"
sxd_access_reg_pprt(pprt, meta, 1, None, None)

print "[+] Get after Set PPRT content"
print "===================="
print "[+] e:",pprt.e
print "[+] prbs_modes_cap:", pprt.prbs_modes_cap
print "[+] prbs_mode_admin:", pprt.prbs_mode_admin
print "[+] lane_rate_cap:", pprt.lane_rate_cap
print "[+] lane_rate_oper:", pprt.lane_rate_oper
print "[+] rx_tuning_status:", pprt.rx_tuning_status
print "[+] lock_status:", pprt.lock_status

time.sleep(10)
meta.access_cmd = SXD_ACCESS_CMD_SET
 
ppaos.swid = 0
ppaos.local_port = 33
ppaos.phy_test_mode_admin = 1
 
 
 
print "[+] Set PPAOS content"
print "===================="
print "[+] swid:", ppaos.swid
print "[+] local_port:", ppaos.local_port
print "[+] phy_test_mode_admin:", ppaos.phy_test_mode_admin
 
 
print "[+] Set PPAOS "
 
sxd_access_reg_ppaos(ppaos, meta, 1, None, None)
 
meta.access_cmd = SXD_ACCESS_CMD_GET
time.sleep(1)
print "[+] Get PPAOS"
sxd_access_reg_ppaos(ppaos, meta, 1, None, None)
 
print "[+] Get after Set PPAOS content"
print "===================="
print "[+] phy_test_mode_admin:", ppaos.phy_test_mode_admin
print "[+] phy_test_mode_status:", ppaos.phy_test_mode_status

time.sleep(5)
meta.access_cmd = SXD_ACCESS_CMD_SET

ppaos.swid = 0
ppaos.local_port = 33
ppaos.phy_test_mode_admin = 0



print "[+] Set PPAOS content"
print "===================="
print "[+] swid:", ppaos.swid
print "[+] local_port:", ppaos.local_port
print "[+] phy_test_mode_admin:", ppaos.phy_test_mode_admin


print "[+] Set PPAOS "

sxd_access_reg_ppaos(ppaos, meta, 1, None, None)
time.sleep(4)

meta.access_cmd = SXD_ACCESS_CMD_GET
print "[+] Get PPAOS"
sxd_access_reg_ppaos(ppaos, meta, 1, None, None)

print "[+] Get after Set PPAOS content"
print "===================="
print "[+] phy_test_mode_admin:", ppaos.phy_test_mode_admin
print "[+] phy_test_mode_status:", ppaos.phy_test_mode_status

time.sleep(4)

paos.swid = 0 
paos.local_port = 33 
paos.admin_status = 1
paos.oper_status = 1
paos.ase = 1
paos.ee = 1
paos.e = 2


meta.access_cmd = SXD_ACCESS_CMD_SET

ppaos.swid = 0
ppaos.local_port = 33
ppaos.phy_test_mode_admin = 1

sxd_access_reg_paos(paos, meta, 1, None, None)

print "[+] swid:", paos.swid 
print "[+] local_port:", paos.local_port  
print "[+] admin_status:",paos.admin_status
print "[+] oper_status:",paos.oper_status
print "[+] ase:",paos.ase 
print "[+] ee:",paos.ee 
print "[+] e:",paos.e
